Python
Security Insights
Retrieve a list of insights
Retrieve a list of insights for a specific domain.
GET
Python
Documentation Index
Fetch the complete documentation index at: https://gcore-doc-1046.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
Query Parameters
Sort the response by given field.
Available options:
id, -id, insight_type, -insight_type, first_seen, -first_seen, last_seen, -last_seen, last_status_change, -last_status_change, status, -status Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000The ID of the insight
The type of the insight
The status of the insight
The different statuses an insight can have
Available options:
OPEN, ACKED, CLOSED The description of the insight. Supports '*' as a wildcard.
Maximum string length:
450